#!/bin/bash

set -e

. script_env

DTC="$LINUX_DIR/scripts/dtc/dtc"

if [ ! -x "$DTC" ]; then
    echo "ERROR: Missing $DTC" >&2
    echo "       Build Linux kernel to build the device tree compiler" >&2
    exit 1
fi

$DTC --symbols -I dts -O dtb -i "$LINUX_DIR/arch/arm/boot/dts/xilinx" -o devicetree/devicetree.dtb devicetree/redpitaya_puzzlefw.dts

